Page MenuHomePhabricator

Package latest python3-pygments for apt.wikimedia.org
Closed, ResolvedPublic

Description

https://tracker.debian.org/pkg/pygments

buster2.3.1+dfsg-1
bullseye2.7.1+dfsg-1
upstream2.8.0

SyntaxHighlight is already using Pygments 2.8.0. So we will need to package it for buster if we want to switch to a packaged version, as asked for in the parent task. We likely need a updated package anyways for Shellbox too.

Event Timeline

Change 668831 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/puppet@production] aptrepo: Add "pygments" component

https://gerrit.wikimedia.org/r/668831

Change 668831 merged by Legoktm:
[operations/puppet@production] aptrepo: Add "pygments" component

https://gerrit.wikimedia.org/r/668831

Mentioned in SAL (#wikimedia-operations) [2021-03-05T23:16:22Z] <legoktm> imported pygments 2.8.0+dfsg-1 to apt.wm.o buster-wikimedia component/pygments (T276298)

Packaged and uploaded, can be installed on appservers/elsewhere once SyntaxHighlight is ready :)

Source at https://gerrit.wikimedia.org/g/operations/debs/pygments/ for future updates.